function [ CFY ] = RemObs(OBS,SE,Xqoq,critvalue,remove,r,rplusM,N,T)
e0 = 100; e1 = 1000;
Ynew = Xqoq;
 critvalue = .0005;
if remove == 1
while abs(e1-e0) >= critvalue
    Yold = Ynew;
    e0 = e1;
     [CFY,~,~,~] =  factor_estim(Yold,r,0); %M = 1, therefore r = rplusM-M 
%  -------------------------------------------------------------------------
lam = zeros(rplusM,N); u = [];
    for i = 1:N
        res = ols(Xqoq(:,i),[CFY OBS]);
        lam(:,i) = res.beta; 
        u = res.resid; clear res;
        dhlp(:,i) = u'*u;
    end
    e1 = sum(dhlp)/N/T;
    Ynew = Xqoq - OBS*lam(r+1:end,:);
% ------------------------------------------------------------------------- 
end
% -------------------------------------------------------------------------
elseif remove == 2
    uuu = NaN.*Xqoq;
            for i = 1:N
               % if i/1000 == round(i/1000), i, end
                res = ols(Xqoq(SE(1,i):SE(2,i),i),OBS(SE(1,i):SE(2,i),:));
                uuu(SE(1,i):SE(2,i),i) = res.resid; clear res;
            end
            [CFY,~,~,~] = factor_estim_UnbAPC(uuu,r);
elseif remove == 3
    [CFY,CC,IC,Loading1] = factor_estim_UnbAPC([OBS Xqoq],rplusM);
    CFY = CFY*(null(Loading1(1:M,:)));     
end

end

