function [] = RevisionMatlabStata2(IRFregr,lamregr,BankNr,Vars)

%load bankchar_DifferentMergerTreatment2_Unbalanced40
% load parrhovar %erste zeile: rhos, zweite zeile: varianzen der ICs
% load screen3_8508
% WW = WW(1:6048,1:6048);
% lamregr = lamregr*WW;
% clear WW X
%% generate the independent variable
% first for the loadings of mp shock as dependent variable
% and npl as the outcome
[a N] = size(BankNr);
Nvars = Vars;
% for stata transfor the matrix of dependent variables
rho = zeros(N,Nvars);
var = zeros(N,Nvars);
% rho = reshape(rhovar(1,:),N,Nvars);
% var = reshape(rhovar(2,:),N,Nvars);
rho = rho';
var = var';
bankchar = [BankNr;rho;var];

X = bankchar';
save('X.txt','X','-ascii','-TABS')

%save('X.txt','X','-ascii')
%% generate the dependent variable
%% 1 the loanding
% 1. 1 reaction of all variables to monetray policy shock
yL1 = -1*lamregr(10,:);
yL1 = reshape(yL1,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yL2 = lamregr(1,:);
yL2 = reshape(yL2,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yL3 = lamregr(2,:);
yL3 = reshape(yL3,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yL4 = lamregr(3,:);
yL4 = reshape(yL4,N,Nvars);

% collect them in a matrix;
YL = [yL1 yL2 yL3 yL4];

%% 2 Impulse responses on impact

%first cumulate all the IRFs of the total loans

% cummulating the loans
[cc ccc d] = size(IRFregr);
ppp = (ccc)/5;

for i = 1:10
    for kk = (3*ppp+1):ccc-ppp
        IRFregr(i,kk,:) = cumsum(IRFregr(i,kk,:)*100);
    end
end

% 1. 1 reaction of all variables to monetray policy shock
yR10 = IRFregr(10,:,1);
yR10 = reshape(yR10,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR20 = IRFregr(1,:,1);
yR20 = reshape(yR20,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR30 = IRFregr(2,:,1);
yR30 = reshape(yR30,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR40 = IRFregr(3,:,1);
yR40 = reshape(yR40,N,Nvars);

% collect them in a matrix;
YR0 = [yR10 yR20 yR30 yR40];

%% 3 Impulse responses after one year
% 1. 1 reaction of all variables to monetray policy shock
yR12 = IRFregr(10,:,2);
yR12 = reshape(yR12,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR22 = IRFregr(1,:,2);
yR22 = reshape(yR22,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR32 = IRFregr(2,:,2);
yR32 = reshape(yR32,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR42 = IRFregr(3,:,2);
yR42 = reshape(yR42,N,Nvars);

% collect them in a matrix;
YR2 = [yR12 yR22 yR32 yR42];

%% 3 Impulse responses after one year
% 1. 1 reaction of all variables to monetray policy shock
yR13 = IRFregr(10,:,3);
yR13 = reshape(yR13,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR23 = IRFregr(1,:,3);
yR23 = reshape(yR23,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR33 = IRFregr(2,:,3);
yR33 = reshape(yR33,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR43 = IRFregr(3,:,3);
yR43 = reshape(yR43,N,Nvars);

% collect them in a matrix;
YR3 = [yR13 yR23 yR33 yR43];

%% 3 Impulse responses after one year
% 1. 1 reaction of all variables to monetray policy shock
yR14 = IRFregr(10,:,4);
yR14 = reshape(yR14,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR24 = IRFregr(1,:,4);
yR24 = reshape(yR24,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR34 = IRFregr(2,:,4);
yR34 = reshape(yR34,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR44 = IRFregr(3,:,4);
yR44 = reshape(yR44,N,Nvars);

% collect them in a matrix;
YR4 = [yR14 yR24 yR34 yR44];


%% 3 Impulse responses after one year
% 1. 1 reaction of all variables to monetray policy shock
yR15 = IRFregr(10,:,5);
yR15 = reshape(yR15,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR25 = IRFregr(1,:,5);
yR25 = reshape(yR25,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR35 = IRFregr(2,:,5);
yR35 = reshape(yR35,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR45 = IRFregr(3,:,5);
yR45 = reshape(yR45,N,Nvars);

% collect them in a matrix;
YR5 = [yR15 yR25 yR35 yR45];


%% 4 Impulse responses after two years

% 1. 1 reaction of all variables to monetray policy shock
yR19 = IRFregr(10,:,9);
yR19 = reshape(yR19,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR29 = IRFregr(1,:,9);
yR29 = reshape(yR29,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR39 = IRFregr(2,:,9);
yR39 = reshape(yR39,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR49 = IRFregr(3,:,9);
yR49 = reshape(yR49,N,Nvars);

% collect them in a matrix;
YR9 = [yR19 yR29 yR39 yR49];


%% 5 Impulse responses after three years

% 1. 1 reaction of all variables to monetray policy shock
yR113 = IRFregr(10,:,13);
yR113 = reshape(yR113,N,Nvars);
% 1. 1 reaction of all variables to supply shock
yR213 = IRFregr(1,:,13);
yR213 = reshape(yR213,N,Nvars);
% 1. 1 reaction of all variables to demand shock
yR313 = IRFregr(2,:,13);
yR313 = reshape(yR313,N,Nvars);
% 1. 1 reaction of all variables to house price shock
yR413 = IRFregr(3,:,13);
yR413 = reshape(yR413,N,Nvars);

% collect them in a matrix;
YR13 = [yR113 yR213 yR313 yR413];


% stack the matrizes of dependent variables in one big matrix and save

Y = [YL YR0  YR5 YR9 YR13 YR2 YR3 YR4];


save('Y.txt','Y','-ascii','-TABS');

