function [Y0,j] = outlierSW2005(Y,k)
%inputs 
    %Y: unadj data
    %k: remove outliers > k x IQR
%output
    %Y0

Y0 = Y;
[T,N] = size(Y0);
j = 0;
for i=1:N
    tmp = sort(Y(:,i));    
    IQR = abs(tmp(round(.25*T),1)-tmp(round(.75*T),1));
    for t=2:T
        if t <= 5, tt = t-1;
        else tt = 5;
        end
        if abs(Y(t,i)-median(Y(:,i))) > k*IQR,
            tmp0 = [];
            for ttt = 1:tt
                tmp0 = [tmp0 Y(t-ttt,i)];
            end
            Y0(t,i) = median(tmp0);%NaN;  %
            j = j+1;
        end
    end
end  
