function [] = plotinbank2(irf1pointestimate,lam,jj,s)
imp_bank = [];
%use the median value of the observable + latent (not cummulated) to generate impulses
    % for the micro variables
   
        imp_bank  = irf1pointestimate;
    
IRFregr = imp_bank(:,6:end,:);
lamregr = lam(:,6:end,:);

savefile = 'RegressionData.mat';
save(savefile,'IRFregr', 'lamregr')


%index for differenced variables
quantiles = 0.05:0.05:0.95;
[lp en] = size(quantiles);
%shock to gdp

k = 0;
hh = [];
MEDIAN_IND = [];
[cc ccc d] = size(IRFregr);
ppp = (ccc)/5;
imp11 = imp_bank;
% cummulating the loans
for i = 1:10
    for kk = (3*ppp+1):ccc-ppp
        imp11(i,kk,:) = cumsum(imp_bank(i,kk,:)*100);
    end
end
XX = (0:1:s-1)';
z = zeros(s,1);
figure
for i = 1:4 %for the shocks
    ii = jj(i);
    op = 0;
    for j = 0:ppp:(ccc-ppp)
        op = op +1;
        h = [];
        hh = [];
        hhh = [];
        h1 = [];
        k = k+1;
        subplot(4,5,k)
        for o = j+1:j+ppp;
            for l = 1:s
              h(l,o-j) = imp11(ii,o,l);
            end
        end
        hhh =[];
        for qs = 1:en
            quant = quantiles(qs);
         for l = 1:s
            h1(l,:) =quantile(h(l,:),quant);
         end
        hhh = [hhh h1];
        end
    plot(XX,z,'k',XX,hhh,'k','LineWidth',1), axis('tight')
    MEDIAN_IND = [MEDIAN_IND hhh];
        if i == 1 && op == 1
            ylabel('supply') 
        elseif i == 2 && op == 1 
           ylabel('demand') 
        elseif i == 3 && op == 1
            ylabel('house price') 
        elseif i == 4 && op == 1
            ylabel('monetary policy')
        end
        if i == 1 && op == 1
            title('NPL') 
        elseif i == 1 && op == 2
            title('CAP') 
        elseif i == 1 && op == 3
            title('ROA') 
        elseif i == 1 && op == 4
            title('Loans')
        elseif i == 1 && op == 5
            title('Non Interest Income')
        end
    end    
end

for i = 1:ppp
ImpRiskMone = IRFregr(10,i,5);
if ImpRiskMone > 0
    Ind = 1;
else
    Ind = 0;
end
Indi(i,1) = Ind;
end
sum(Indi)/ppp;