
%% comparing shocks
clear all 
load u_struct_FM
rplusM1 = 10;
u_struct_FM = u_struct(:,[1:3 rplusM1]);
load u_struct_VAR
u_struct_VAR = u_struct(:,[1:3 9]);



sup = [u_struct_FM(:,1) u_struct_VAR(:,1)];
dem = [u_struct_FM(:,2) u_struct_VAR(:,2)];
hp = [u_struct_FM(:,3) u_struct_VAR(:,3) ];
mp = [u_struct_FM(:,4) u_struct_VAR(:,4)*(-1) ];

z = zeros(length(mp),1);
XX = (0:1:length(mp)-1)';
XX = (1985.5:0.25:2008.25)';
figure
plot(XX,z,'k','LineWidth',1),axis('tight')
hold on
plot(XX,u_struct_FM(:,4),'k',XX,u_struct_VAR(:,4)*(-1),'r--','LineWidth',2), axis('tight')%,title('Identified monetary policy shock series')


%% compare macro variables
%clear all
load IMP1_cum_FullModel
IMP1_cum_FullModel = IMP1_cum([1:3 rplusM1],[1:3 rplusM1],:);
load IMP1_cum_FullModel_l
IMP1_cum_FullModel_l = IMP1_cum_l([1:3 rplusM1],[1:3 rplusM1],:);
load IMP1_cum_FullModel_u
IMP1_cum_FullModel_u = IMP1_cum_u([1:3 rplusM1],[1:3 rplusM1],:);

load IMP1_cum_VAR_l
IMP1_cum_VAR_l = IMP1_cum_l([1:3 9],[1:3 9],:);
load IMP1_cum_VAR_u
IMP1_cum_VAR_u = IMP1_cum_u([1:3 9],[1:3 9],:);
load IMP1_cum_VAR
IMP1_cum_VAR = IMP1_cum([1:3 9],[1:3 9],:);
    


s= 20;
jj = [1 2 3 4];
k = 0;
M = 4; 
z = zeros(s,1);
figure
XX = (0:1:s-1)';
clear h h_u h_l

IMP1_cum_FullModel(:,1:3,:) = IMP1_cum_FullModel(:,1:3,:)*100;
IMP1_cum_FullModel_u(:,1:3,:) = IMP1_cum_FullModel_u(:,1:3,:)*100;
IMP1_cum_FullModel_l(:,1:3,:) = IMP1_cum_FullModel_l(:,1:3,:)*100;
IMP1_cum_VAR(:,1:3,:) =IMP1_cum_VAR(:,1:3,:)*100;
IMP1_cum_VAR_u(:,1:3,:) =IMP1_cum_VAR_u(:,1:3,:)*100;
IMP1_cum_VAR_l(:,1:3,:) =IMP1_cum_VAR_l(:,1:3,:)*100;


for i = 1:M  %for the shocks
    ii = jj(i);
    for j = 1:M % the variables
        k = k+1;
        jjj = jj(j); % the variables
        subplot(M,M,k)
        for l = 1:s % the horizons
              h(l,1) = IMP1_cum_FullModel(ii,jjj,l);
              h_u(l,1) = IMP1_cum_FullModel_u(ii,jjj,l);
              h_l(l,1) = IMP1_cum_FullModel_l(ii,jjj,l);
              
              p(l,1) = IMP1_cum_VAR(ii,jjj,l);
              p_u(l,1) = IMP1_cum_VAR_u(ii,jjj,l);
              p_l(l,1) = IMP1_cum_VAR_l(ii,jjj,l);
              
        
        end
        hh = [h];
        hhh = [h_u h_l];
        
        pp = [p];
        ppp = [p_u p_l];
      
        plot(XX,z,'k','LineWidth',1),axis('tight')
        hold on
        plot(XX,hh,'k',XX,hhh,'k:',XX,pp,'r',XX,ppp,'r:','LineWidth',2),        axis('tight')
        if i == 1 && j == 1
            ylabel('supply')
            title('GDP')
        elseif i == 1 && j == 2
            title('GDP deflator')
        elseif i == 1 && j == 3
            title('House price')
        elseif i == 1 && j == 4
            title('FFR')
        elseif i == 2 && j == 1
            ylabel('demand')
        elseif i == 3 && j == 1
            ylabel('house Price')
        elseif i == 4 && j == 1
            ylabel('monetary Policy')
        end
            %        plot(XX,z,'k',XX,hh,'k',XX,pp,'b',XX,cc,'r','LineWidth',2),XX,cc,'
       % 
       % r',XX,ccc,'r:',
clear h*
    end
end

s = 20;
jj = [1 2 3 4];
k = 0;
M = 4; 
z = zeros(s,1);


% 
% 
% figure
% XX = (0:1:s-1)';
% clear h h_u h_l
% for i = 1:M  %for the shocks
%     ii = jj(i);
%     for j = M % the variables
%         k = k+1;
%         jjj = jj(j); % the variables
%         subplot(2,2,k)
%         for l = 1:s % the horizons
%               h(l,1) = IMP1_cum_FullModel(ii,jjj,l);
%               h_u(l,1) = IMP1_cum_FullModel_u(ii,jjj,l);
%               h_l(l,1) = IMP1_cum_FullModel_l(ii,jjj,l);
%               
%               p(l,1) = IMP1_cum_VAR(ii,jjj,l);
%               p_u(l,1) = IMP1_cum_VAR_u(ii,jjj,l);
%               p_l(l,1) = IMP1_cum_VAR_l(ii,jjj,l);
%               
%         
%         end
%         hh = [h];
%         hhh = [h_u h_l];
%         
%         pp = [p];
%         ppp = [p_u p_l];
%         
%         plot(XX,z,'k','LineWidth',1),axis('tight')
%         hold on
%         plot(XX,hh,'k',XX,hhh,'k:',XX,pp,'r',XX,ppp,'r:','LineWidth',2), axis('tight')
%         if i == 1 && j == 4
%                title('Supply')
%         elseif i == 2 && j == 4
%             title('Demand')
%         elseif i == 3 && j == 4
%             title('House price')
%         elseif i == 4 && j == 4
%             title('Monetary Policy')
%                 end
%             %        plot(XX,z,'k',XX,hh,'k',XX,pp,'b',XX,cc,'r','LineWidth',2),XX,cc,'
%        % 
%        % r',XX,ccc,'r:',
% clear h*
%     end
% end
% %[ax4,h3]=suplabel('FAVAR (black) vs. VAR wB (blue)'  ,'t');
