function [perc_expl, perc_expl_accum ] = totalvar(Xqoq)

[~, EigenValComponent ] = svd(Xqoq',0); 
EigenVal = diag(EigenValComponent*EigenValComponent')./(size(Xqoq,1)-1);
 
 
perc_expl =  EigenVal/sum( EigenVal);   %explained variance
perc_expl_accum=perc_expl;
N = 36; % I thought we don't need all > 4000 factors (or the variance explained by them)
for i=2:N
    perc_expl_accum(i,1) = perc_expl_accum(i-1,1) + perc_expl(i,1);
end