function [VD_BOOT] = vardecomp(IRF,hor)

[ns,nv,horizon,nboot] = size(IRF);

horizon0 = horizon-1;
VD_BOOT = [];

for m = 1:nboot
    irftempor = IRF(:,:,1:horizon0+1,m);
        vd = []; %all horizons
        for i = 1:ns
            vd(:,1,i) = diag(irftempor(i,:,1)'*irftempor(i,:,1));
        end    
        for h = 2:horizon0+1
            for i = 1:ns
                vd(:,h,i) = vd(:,h-1,i) + diag(irftempor(i,:,h)'*irftempor(i,:,h));
            end    
        end
        for i=1:ns
                VD_BOOT(:,:,i,m) = squeeze(vd(:,:,i))./sum(vd,3); %relate only to common comp., not to total variance
        end    
        clear vd; 
        
        clear vd irftempor;
end

VD_BOOT = sort(VD_BOOT,4); 


%VDmean = [squeeze(mean(VD_BOOT(:,hor(2),:,:),4)), NaN*ones(ns,1), squeeze(mean(VD_BOOT(:,hor(end),:,:),4))]; %variables x horizons x shocks
%VDmed = [squeeze(median(VD_BOOT(:,hor(2),:,:),4)), NaN*ones(ns,1), squeeze(median(VD_BOOT(:,hor(end),:,:),4))]; %variables x horizons x shocks

