

clear
clear matrix
clear mata
set more off

set mem 1000m
set maxvar 30000
cd "C:\CodesJMCB15042013\ReplicaBuchEickmeierPrieto"


insheet using "X.txt", tab clear
keep v1 
rename v1 banknr
save "regression_dataX.dta", replace



insheet using "Y.txt", tab clear
drop v161

ren v1 Lmp_npl 
ren v2 Lmp_cap 
ren v3 Lmp_roa 
ren v4 Lmp_tl 
ren v5 Lmp_nonint 

ren v6 Lsup_npl 
ren v7 Lsup_cap 
ren v8 Lsup_roa 
ren v9 Lsup_tl 
ren v10 Lsup_nonint 

ren v11 Ldem_npl 
ren v12 Ldem_cap 
ren v13 Ldem_roa 
ren v14 Ldem_tl 
ren v15 Ldem_nonint 

ren v16 Lhp_npl 
ren v17 Lhp_cap 
ren v18 Lhp_roa 
ren v19 Lhp_tl 
ren v20 Lhp_nonint 

ren v21 IRF0mp_npl 
ren v22 IRF0mp_cap 
ren v23 IRF0mp_roa 
ren v24 IRF0mp_tl 
ren v25 IRF0mp_nonint

ren v26 IRF0sup_npl 
ren v27 IRF0sup_cap 
ren v28 IRF0sup_roa 
ren v29 IRF0sup_tl 
ren v30 IRF0sup_nonint 

ren v31 IRF0dem_npl 
ren v32 IRF0dem_cap 
ren v33 IRF0dem_roa 
ren v34 IRF0dem_tl 
ren v35 IRF0dem_nonint 

ren v36 IRF0hp_npl 
ren v37 IRF0hp_cap 
ren v38 IRF0hp_roa 
ren v39 IRF0hp_tl 
ren v40 IRF0hp_nonint 

ren v41 IRF5mp_npl 
ren v42 IRF5mp_cap 
ren v43 IRF5mp_roa 
ren v44 IRF5mp_tl 
ren v45 IRF5mp_nonint 

ren v46 IRF5sup_npl 
ren v47 IRF5sup_cap 
ren v48 IRF5sup_roa 
ren v49 IRF5sup_tl 
ren v50 IRF5sup_nonint 

ren v51 IRF5dem_npl 
ren v52 IRF5dem_cap 
ren v53 IRF5dem_roa 
ren v54 IRF5dem_tl 
ren v55 IRF5dem_nonint

ren v56 IRF5hp_npl 
ren v57 IRF5hp_cap 
ren v58 IRF5hp_roa 
ren v59 IRF5hp_tl 
ren v60 IRF5hp_nonint 

ren v61 IRF9mp_npl 
ren v62 IRF9mp_cap 
ren v63 IRF9mp_roa 
ren v64 IRF9mp_tl 
ren v65 IRF9mp_nonint 

ren v66 IRF9sup_npl 
ren v67 IRF9sup_cap 
ren v68 IRF9sup_roa 
ren v69 IRF9sup_tl 
ren v70 IRF9sup_nonint 

ren v71 IRF9dem_npl 
ren v72 IRF9dem_cap 
ren v73 IRF9dem_roa 
ren v74 IRF9dem_tl 
ren v75 IRF9dem_nonint 

ren v76 IRF9hp_npl 
ren v77 IRF9hp_cap 
ren v78 IRF9hp_roa 
ren v79 IRF9hp_tl 
ren v80 IRF9hp_nonint 

ren v81 IRF13mp_npl 
ren v82 IRF13mp_cap 
ren v83 IRF13mp_roa 
ren v84 IRF13mp_tl 
ren v85 IRF13mp_nonint 

ren v86 IRF13sup_npl 
ren v87 IRF13sup_cap 
ren v88 IRF13sup_roa 
ren v89 IRF13sup_tl 
ren v90 IRF13sup_nonint 

ren v91 IRF13dem_npl 
ren v92 IRF13dem_cap 
ren v93 IRF13dem_roa 
ren v94 IRF13dem_tl 
ren v95 IRF13dem_nonint 

ren v96 IRF13hp_npl 
ren v97 IRF13hp_cap 
ren v98 IRF13hp_roa 
ren v99 IRF13hp_tl 
ren v100 IRF13hp_nonint 

ren v101 IRF2mp_npl 
ren v102 IRF2mp_cap 
ren v103 IRF2mp_roa 
ren v104 IRF2mp_tl 
ren v105 IRF2mp_nonint 

ren v106 IRF2sup_npl 
ren v107 IRF2sup_cap 
ren v108 IRF2sup_roa 
ren v109 IRF2sup_tl 
ren v110 IRF2sup_nonint 

ren v111 IRF2dem_npl 
ren v112 IRF2dem_cap 
ren v113 IRF2dem_roa 
ren v114 IRF2dem_tl 
ren v115 IRF2dem_nonint 

ren v116 IRF2hp_npl 
ren v117 IRF2hp_cap 
ren v118 IRF2hp_roa 
ren v119 IRF2hp_tl 
ren v120 IRF2hp_nonint 

ren v121 IRF3mp_npl 
ren v122 IRF3mp_cap 
ren v123 IRF3mp_roa 
ren v124 IRF3mp_tl 
ren v125 IRF3mp_nonint 

ren v126 IRF3sup_npl 
ren v127 IRF3sup_cap 
ren v128 IRF3sup_roa 
ren v129 IRF3sup_tl 
ren v130 IRF3sup_nonint 

ren v131 IRF3dem_npl 
ren v132 IRF3dem_cap 
ren v133 IRF3dem_roa 
ren v134 IRF3dem_tl 
ren v135 IRF3dem_nonint 

ren v136 IRF3hp_npl 
ren v137 IRF3hp_cap 
ren v138 IRF3hp_roa 
ren v139 IRF3hp_tl 
ren v140 IRF3hp_nonint 
/*
ren v113 IRF4mp_npl 
ren v114 IRF4mp_cap 
ren v115 IRF4mp_roa 
ren v116 IRF4mp_tl 
ren v117 IRF4sup_npl 
ren v118 IRF4sup_cap 
ren v119 IRF4sup_roa 
ren v120 IRF4sup_tl 
ren v121 IRF4dem_npl 
ren v122 IRF4dem_cap 
ren v123 IRF4dem_roa 
ren v124 IRF4dem_tl 
ren v125 IRF4hp_npl 
ren v126 IRF4hp_cap 
ren v127 IRF4hp_roa 
ren v128 IRF4hp_tl
*/

save "regression_dataY.dta", replace

merge using "regression_dataX.dta"
drop _merge

save "RegressionData.dta", replace
