		* This program redoes our results and some specification issues
		* Note: Using FAVAR_01pctile, 5 Vars,  BankCHar4 works!


		clear
		clear matrix
		clear mata
		set more off	

		set mem 1000m
		set maxvar 20000

		cd "C:\CodesJMCB15042013\ReplicaBuchEickmeierPrieto"
		
		do GenRegData
		clear all
		insheet using "BankChar.txt", tab
		sort banknr
		save BankChar.dta, replace
		use RegressionData.dta, clear	

		*---------------------------------------------------------
		sort banknr
		merge banknr using BankChar    
		keep if _merge == 3

		rename intbank D_international
		ren rssd9210 D_state 
		ren rssd9170 D_frd 
		ren ta_m ta


		replace eq = (eq/100)
		replace npl = (npl/100)
	
		gen int_size = D_international*ta
		gen tasq = ta^2

		* centering all explanatory variables

		local varlist "ta tasq ffp liq eq npl constoa retoa "
		foreach x of local varlist{
		egen h = mean(`x')
		replace `x' = `x' - h
		drop h
		}
		
		replace D_int = 1 if D_int >= 1
		gen Dfull = 0
			qui tab D_state, generate(regD)
				drop regD13
		// --------------------------------------------------------------------------------------------
		// --------------------------------------------------------------------------------------------
		*MP Shock		

			qui	reg IRF3mp_tl ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
			outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) replace

		
		local varlist "IRF5mp_tl"
			foreach x of local varlist{

			
		qui	reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
			outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

		
			}

		local varlist "IRF3mp_npl IRF5mp_npl"
		foreach x of local varlist{

		qui	reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
		outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

	
		}
		
		
		local varlist "IRF3mp_nonint IRF5mp_nonint"
		foreach x of local varlist{
		qui reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r

		outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

	
		}


		// --------------------------------------------------------------------------------------------
		// --------------------------------------------------------------------------------------------
		*HP Shock		


		local varlist "IRF3hp_tl IRF5hp_tl"
		foreach x of local varlist{
		qui reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
				outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

	
		}

		local varlist "IRF3hp_npl IRF5hp_npl"
		foreach x of local varlist{
		 qui reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
			outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

	
		}

				

		local varlist "IRF3hp_nonint IRF5hp_nonint"
		foreach x of local varlist{
		qui reg `x' ta tasq ffp liq eq npl constoa retoa D_int Dfull regD*, r
	outreg2 ta tasq ffp liq eq npl constoa retoa D_int Dfull  using "RegressionResults.txt", ctitle(`x') bracket label bdec(3)  e(all) append

	
		
		}

